Subject: Re: bug#30078: 27.0.50; Use lexical-binding for M-:

From: Stefan Monnier <[email-masked]>
Date: Sat, 13 Jan 2018 12:58:16 -0500

>> I'm not sure we should try to encourage the user to think a piece of
>> code can check the value of `lexical-binding` to know if it's being
>> evaluated using lexical scoping rules.
> I'm not sure, too.  But aren't *scratch* and *ielm* special?  These are
> the current buffers when code is evaluated,

For *scratch* yes, but for *ielm* that's not the case: the code is
evaluated in the `ielm-working-buffer` (whose name normally appears in
the mode-line after "IELM").

        Stefan